#!/bin/sh
llvm-gcc bfi.c -DENABLE_AUTOJIT -std=c99 -emit-llvm -c -o temp.s &&\
opt -load build/libautojit.so temp.s -O3 -autojit >temp.bc &&\
llc -f -O3 temp.bc -o temp.s &&\
as temp.s -o temp.o &&\
g++ -O3 temp.o AutoJITrt.cpp -L/opt/llvm27/lib -lpthread -ldl -lm -I/opt/llvm27/include -D_DEBUG -D_GLIBCXX_DEBUG -DXDEBUG -D_GNU_SOURCE -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -fPIC -lLLVM-2.7 -o bfi-xformed
rm -f temp.bc temp.s temp.o
llvm-gcc -O3 bfi.c -std=c99 -o bfi-orig
